#!/bin/bash

# Set variable defaults if unset
DEF_WWW_ROOT=/opt/www_static
WWW_ROOT=${WWW_ROOT:=$DEF_WWW_ROOT}
DEF_WEBAPPS_ROOT=/opt/CA/secure-proxy/Tomcat/webapps
WEBAPPS_ROOT=${WEBAPPS_ROOT:=$DEF_WEBAPPS_ROOT}
DEF_SM_COOKIE_ZONE=SM
SM_COOKIE_ZONE=${SM_COOKIE_ZONE:=$DEF_SM_COOKIE_ZONE}
DEF_SM_COOKIE_DOMAIN=.example.com
SM_COOKIE_DOMAIN=${SM_COOKIE_DOMAIN:=$DEF_SM_COOKIE_DOMAIN}

sudo cp -r webapps/chs "${WEBAPPS_ROOT}/"
sudo cp application.html "${WWW_ROOT}/html/"
sudo cp login.html "${WWW_ROOT}/html/"

sudo sed -i -e "s/{{your_cookie_zone}}/${SM_COOKIE_ZONE}/" "${WWW_ROOT}/html/application.html"
sudo sed -i -e "s/{{your_cookie_domain}}/${SM_COOKIE_DOMAIN}/" "${WWW_ROOT}/html/application.html"

sudo sed -i -e "s/{{your_cookie_zone}}/${SM_COOKIE_ZONE}/" "${WWW_ROOT}/html/login.html"
sudo sed -i -e "s/{{your_cookie_domain}}/${SM_COOKIE_DOMAIN}/" "${WWW_ROOT}/html/login.html"